For the complete documentation index, see llms.txt. This page is also available as Markdown.

Day Part

Dayparting

Daypart Search

get

Search dayparts

Query parameters
dayPartIdintegerOptional

The dayPart ID to Search

namestringOptional

The name of the dayPart to Search

embedstringOptional

Embed related data such as exceptions

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json

Class DayPart

dayPartIdintegerOptional

The ID of this Daypart

isAlwaysintegerOptional

A readonly flag determining whether this DayPart is always

isCustomintegerOptional

A readonly flag determining whether this DayPart is custom

get/daypart
GET /api/daypart HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "dayPartId": 1,
    "isAlways": 1,
    "isCustom": 1
  }
]

Daypart Add

post

Add a Daypart

Body
namestringRequired

The Daypart Name

descriptionstringOptional

A description for the dayPart

startTimestringRequired

The start time for this day part

endTimestringRequired

The end time for this day part

exceptionDaysstring[]Optional

String array of exception days

exceptionStartTimesstring[]Optional

String array of exception start times to match the exception days

exceptionEndTimesstring[]Optional

String array of exception end times to match the exception days

Responses
201

successful operation

application/json
post/daypart
POST /api/daypart HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 157

"name='text'&description='text'&startTime='text'&endTime='text'&exceptionDays=['text']&exceptionStartTimes=['text']&exceptionEndTimes=['text']"
201

successful operation

{
  "dayPartId": 1,
  "isAlways": 1,
  "isCustom": 1
}

Daypart Search by ID

get

Get the DayPart object specified by the provided daypartId

Path parameters
dayPartIdintegerRequired

Numeric ID of the DayPart to get

Query parameters
embedstringOptional

Embed related data such as exceptions

Responses
200

successful operation

application/json

Class DayPart

dayPartIdintegerOptional

The ID of this Daypart

isAlwaysintegerOptional

A readonly flag determining whether this DayPart is always

isCustomintegerOptional

A readonly flag determining whether this DayPart is custom

get/daypart/{dayPartId}
GET /api/daypart/{dayPartId} HTTP/1.1
Accept: */*
200

successful operation

{
  "dayPartId": 1,
  "isAlways": 1,
  "isCustom": 1
}

Daypart Edit

put

Edit a Daypart

Path parameters
dayPartIdintegerRequired

The Daypart Id

Body
namestringRequired

The Daypart Name

descriptionstringOptional

A description for the dayPart

startTimestringRequired

The start time for this day part

endTimestringRequired

The end time for this day part

exceptionDaysstring[]Optional

String array of exception days

exceptionStartTimesstring[]Optional

String array of exception start times to match the exception days

exceptionEndTimesstring[]Optional

String array of exception end times to match the exception days

Responses
200

successful operation

application/json

Class DayPart

dayPartIdintegerOptional

The ID of this Daypart

isAlwaysintegerOptional

A readonly flag determining whether this DayPart is always

isCustomintegerOptional

A readonly flag determining whether this DayPart is custom

put/daypart/{dayPartId}
PUT /api/daypart/{dayPartId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 157

"name='text'&description='text'&startTime='text'&endTime='text'&exceptionDays=['text']&exceptionStartTimes=['text']&exceptionEndTimes=['text']"
200

successful operation

{
  "dayPartId": 1,
  "isAlways": 1,
  "isCustom": 1
}

Delete DayPart

delete

Delete the provided dayPart

Path parameters
dayPartIdintegerRequired

The Daypart Id to Delete

Responses
204

successful operation

No content

delete/daypart/{dayPartId}
DELETE /api/daypart/{dayPartId} HTTP/1.1
Accept: */*
204

successful operation

No content

Last updated

Was this helpful?